/**
 * 黑名单管理接口
 */
import request from '@/utils/request'
import qs from 'qs'

// 查询黑名单
export function getBlackList(params) {
  return request({
    url: '/black/listPage',
    method: 'get',
    params
  })
}
// 新增黑名单
export function addBlack(params) {
  return request({
    url: '/black/add',
    method: 'post',
    params
  })
}

// 移除黑名单
export function delBlack(ids) {
  return request({
    url: '/black/delete',
    method: 'post',
    params: {
      ids: ids
    },
    paramsSerializer: params => {
      return qs.stringify(params, { indices: false })
    }
  })
}

